/*
---------------------------------------------------------------------------------------------
			MIDI Sequencer - Final Year Project, A.J. Green
---------------------------------------------------------------------------------------------

File Name:	Menu.h

Description:	Menu function prototypes.

Author:		AJG

History:

Update	Date		Programmer	Comments
======	====		==========	========
001	16/02/94	AJG		File Created.

--------------------------------------------------------------------------------------------
*/

#ifndef __MIDI_MENU__
#define __MIDI_MENU__

#include <X11/Intrinsic.h>

Widget Midi_GetShellWidget(Widget w);

void Midi_InstallFileMenu(Widget File);
void Midi_InstallEditMenu(Widget Edit);
void Midi_InstallTrackMenu(Widget Track);
void Midi_InstallMidiMenu(Widget Midi);
void Midi_InstallToolsMenu(Widget Tools);

void Midi_UndoCB(Widget w, XtPointer a, XtPointer b);
void Midi_ShowClipboardCB(Widget w, XtPointer a, XtPointer b);
void Unimplemented(Widget w, XtPointer a, XtPointer b);
void Midi_LoadFile(char *FileName, Boolean DispMsgs);
void Midi_SaveFile(char *SaveFileName);

void Midi_EnterMenuMode(long unsigned MenuMode);
void Midi_LeaveMenuMode(long unsigned MenuMode);

#endif
